using System.Text.Json.Serialization;

namespace Engine.Asset.Font.Metadata;

[JsonSerializable(typeof(Bounds))]
[Serializable]
public record Bounds
{
  [JsonPropertyName("left")]
  [JsonInclude]
  public float Left { get; private set; }

  [JsonPropertyName("bottom")]
  [JsonInclude]
  public float Bottom { get; private set; }

  [JsonPropertyName("right")]
  [JsonInclude]
  public float Right { get; private set; }

  [JsonPropertyName("top")]
  [JsonInclude]
  public float Top { get; private set; }
}